%define soname  23
%define libname libgal%{soname}

Name: gal
Version: 0.24
Release: 7
Summary: The GNOME Application Library
Group: System Environment/Libraries
Epoch: 1
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.ximian.com/devzone/
Source0: ftp://ftp.gnome.org/pub/gnome/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2

BuildRequires: libxml-devel
BuildRequires: freetype-devel
BuildRequires: libglade-devel >= 0.13
BuildRequires: gnome-print-devel >= 0.22
BuildRequires: gtk+-devel >= 1.2.7
BuildRequires: gdk-pixbuf-devel 
BuildRequires: libSM-devel

%description
A collection of GNOME widgets and utility functions.

%package -n gal-devel
Summary: Development files for the GNOME Applications library
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}, %{libname}
Requires: gnome-print-devel, gnome-libs-devel, libglade-devel

%description -n gal-devel
Development files for the GNOME Applications library

%package -n %{libname}
Summary: The GNOME Application Library
Group: System Environment/Libraries
Requires: %{name} >= %{epoch}:%{version}

%description -n %{libname}
A collection of GNOME widgets and utility functions.

%prep
%setup -q

%build
%define __libtoolize /bin/true
cp %{_datadir}/libtool/config.{guess,sub} .
%configure
make

%install
%makeinstall

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%find_lang %name-%{version}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}-%{version}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README

%files -n gal-devel
%defattr(-, root, root)
%{_libdir}/*so
%{_libdir}/*a
%{_libdir}/*Conf.sh
%{_libdir}/pkgconfig/gal.pc
%{_includedir}/*

%files -n %{libname}
%defattr(-, root, root)
%{_datadir}/etable
%{_datadir}/gal
%{_libdir}/libgal.so.%{soname}
%{_libdir}/libgal.so.*.*

%changelog
* Mon Feb 27 2006 Karsten Hopp <karsten@redhat.de> 0.24-7
- BuildRequires: libSM-devel

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:0.24-6.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:0.24-6.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Mar  7 2005 Bill Nottingham <notting@redhat.com> 0.24-6
- don't buildrequire/require gnome-vfs

* Wed Nov 10 2004 Karsten Hopp <karsten@redhat.de> 0.24-5 
- add BuildRequires: gdk-pixbuf-devel

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar 24 2003 Jeremy Katz <katzj@redhat.com> 1:0.24-1
- update to 0.24 and the fun of new abi

* Fri Feb  7 2003 Jeremy Katz <katzj@redhat.com> 1:0.23-1
- update to 0.23
- fix epoch on dependencies (#74571)
- include more of the deps for the -devel package (#58040)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com> 0.22-1
- update to 0.22

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com> 0.21-2
- rebuild for fixed X11 libdir path

* Fri Nov  1 2002 Jeremy Katz <katzj@redhat.com> 0.21-1
- update to 0.21

* Thu Oct 24 2002 Jeremy Katz <katzj@redhat.com> 0.20.1-1
- update to 0.20.1
- remove files not being installed from build root

* Wed Sep 25 2002 Jeremy Katz <katzj@redhat.com> 0.20-1
- update to 0.20

* Tue Jul 09 2002 Karsten Hopp <karsten@redhat.de> 0.19.2-4
- added missing BuildRequires (#68204)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Jeremy Katz <katzj@redhat.com>
- update to gal 0.19.2

* Wed Apr 10 2002 Jeremy Katz <katzj@redhat.com>
- include patch to not show popups if the entry doesn't have focus

* Tue Mar 19 2002 Jeremy Katz <katzj@redhat.com>
- update to gal 0.19.1

* Wed Feb 27 2002 Jeremy Katz <katzj@redhat.com>
- rebuild in new environment

* Fri Jan 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide
- fix a /usr/share -> datadir issue

* Sun Jan 13 2002 Jeremy Katz <katzj@redhat.com>
- include translations (#58291) and other non-included files

* Sat Jan 12 2002 Jeremy Katz <katzj@redhat.com>
- 0.19

* Sat Nov 17 2001 Jeremy Katz <katzj@redhat.com>
- 0.18.1

* Mon Nov  5 2001 Jeremy Katz <katzj@redhat.com>
- 0.18

* Fri Oct 19 2001 Matt Wilson <msw@redhat.com>
- 0.15

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- 0.13
- add libgal.so.13.0.0 to file list

* Tue Jul 24 2001 Alexander Larsson <alexl@redhat.com>
- Fix libgal-broken.patch to not link libgal.so to -lgal.

* Fri Jul 13 2001 Alexander Larsson <alexl@redhat.com>
- Add build requirements.

* Wed Jun 13 2001 Bill Nottingham <notting@redhat.com>
- fix .la buildroot dainbramage
- fix library dependency dainbramage

* Tue Jun 12 2001 Bill Nottingham <notting@redhat.com>
- gal-devel requires libgal7 (otherwise libgal.so symlink is dangling)
- fix gnomeprint requirement

* Fri Jun  8 2001 Jonathan Blandford <jrb@redhat.com>
- New version
- Upgrade library

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- de-helixify spec file
- fix vendor/distribution
